org.apache.pdfbox.pdmodel.interactive.action

## Class PDActionMovie

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.action.PDAction
  - - org.apache.pdfbox.pdmodel.interactive.action.PDActionMovie

All Implemented Interfaces:
  COSObjectable, PDDestinationOrAction

    public class PDActionMovie
    extends PDAction

Author:
  Timur Kamalov

### Field Summary

Fields
`static String` `SUB_TYPE` This type of action this object represents.

### Fields inherited from class org.apache.pdfbox.pdmodel.interactive.action.PDAction

`action, TYPE`

### Constructor Summary

Constructors
Constructor and Description
`PDActionMovie()` Default constructor.
`PDActionMovie(COSDictionary a)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`String` `getS()` Deprecated. use `PDAction.getSubType()`.
`void` `setS(String s)` Deprecated. use `PDAction.setSubType(java.lang.String)`.

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.action.PDAction

`getCOSObject, getNext, getSubType, getType, setNext, setSubType, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SUB_TYPE

    public static final String SUB_TYPE

This type of action this object represents.

See Also:
  Constant Field Values

### Constructor Detail

#### PDActionMovie

    public PDActionMovie()

Default constructor.

#### PDActionMovie

    public PDActionMovie(COSDictionary a)

Constructor.

Parameters:
  `a` - The action dictionary.

### Method Detail

#### getS

    @Deprecated
    public String getS()

Deprecated. use `PDAction.getSubType()`.
This will get the type of action that the actions dictionary describes. It must be Movie for a Movie action.

Returns:
  The S entry of the specific Movie action dictionary.

#### setS

    @Deprecated
    public void setS(String s)

Deprecated. use `PDAction.setSubType(java.lang.String)`.
This will set the type of action that the actions dictionary describes. It must be Movie for a Movie action.

Parameters:
  `s` - The Movie action.